.product-page-wrapper {
    .header-wrapper {
        display: flex;
        margin-bottom: 12px;
        .title-wrapper {
            width: 50%;
            text-align: start;
        }
        .action-button-wrapper {
            width: 50%;
            text-align: end;
            padding-bottom: 10px;
            button {
                margin-left: 5px;
            }
        }
    }
}

.product-table-wrapper {
    overflow: auto;
    .product-table {
        .ant-table-row {
            cursor: pointer;
        }
    }
}

.product-main-wrapper {
    .product-main-card {
        padding-top: 24px;
    }
}

@media screen and (max-width: 1024px) and (min-width: 769px) {
     
}

@media screen and (max-width: 768px) and (min-width: 415px) {
    .product-page-wrapper {
        .header-wrapper {
            display: block;
            margin-bottom: 12px;
            .title-wrapper {
                width: 100%;
                text-align: start;
            }
            .action-button-wrapper {
                width: 100%;
                text-align: center;
                padding-bottom: 10px;
                button {
                    width: 100%;
                    margin-bottom: 5px;
                }
            }
        }
    }
}

@media screen and (max-width: 414px) and (min-width: 321px) {
    .product-page-wrapper {
        .header-wrapper {
            display: block;
            margin-bottom: 12px;
            .title-wrapper {
                width: 100%;
                text-align: start;
            }
            .action-button-wrapper {
                width: 100%;
                text-align: center;
                padding-bottom: 10px;
                button {
                    width: 100%;
                    margin-bottom: 5px;
                }
            }
        }
    }
}

@media screen and (max-width: 320px) and (min-width: 250px) {
    .product-page-wrapper {
        .header-wrapper {
            display: block;
            margin-bottom: 12px;
            .title-wrapper {
                width: 100%;
                text-align: start;
            }
            .action-button-wrapper {
                width: 100%;
                text-align: center;
                padding-bottom: 10px;
                button {
                    width: 100%;
                    margin-bottom: 5px;
                }
            }
        }
    }
}
